> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Identity

> Delete a Identity



## OpenAPI

````yaml v1/api/business.json delete /identities/{identity_uid}
openapi: 3.1.0
info:
  title: ED's Public API
  description: ED's Public API
  version: 26.622.88
servers:
  - url: https://api.edges.run/v1/
security:
  - APIKeyHeader: []
paths:
  /identities/{identity_uid}:
    delete:
      tags:
        - Core
      summary: Delete a identity from the workspace with UID
      description: Delete a Identity
      operationId: delete_identity
      parameters:
        - name: identity_uid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Identity Uid
      responses:
        '200':
          description: Identity successfully removed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_of_NoData'
              example: {}
        '403':
          description: Forbidden
          content:
            application/json:
              examples:
                cant-remove-self:
                  summary: Can't Remove Self
                  value:
                    message: You cannot remove yourself from the workspace.
                    error_label: DELETE_ONE_IDENTITY_403_FORBIDDEN
                    params:
                      details: >-
                        If you want to leave the workspace, please head to the
                        Settings page.
                cant-remove-last-admin:
                  summary: Can't Remove Last Admin
                  value:
                    message: You cannot remove the last admin of the workspace.
                    error_label: DELETE_ONE_IDENTITY_403_FORBIDDEN
                    params:
                      details: >-
                        You need to have at least one admin in the workspace at
                        all time.
                insufficient-role:
                  summary: Insufficient Role
                  value:
                    message: >-
                      You do not have sufficient rights to remove the targeted
                      identity.
                    error_label: DELETE_ONE_IDENTITY_403_FORBIDDEN
                    params:
                      details: >-
                        You need to be an Ops or Admin to remove a identity from
                        the workspace.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GenericResponse_of_NoData:
      properties: {}
      type: object
      title: GenericResponse_of_NoData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key required for authentication. Add your API key in the X-API-Key
        header.

````